<?php

function getDefaultQueryArgs()
{
	$settings = aitOptions()->getOptionsByType('theme');
	$settings = $settings['items'];
	return array(
		'orderby' => $settings['sortingDefaultOrderBy'],
		'order' => $settings['sortingDefaultOrder'],
		);
}



// Join for searching metadata
function aitPostsJoin($join) {
    global $wp_query, $wpdb;

	$defaultQueryArgs = getDefaultQueryArgs();
	$orderBy = isset($_REQUEST['orderby']) && $_REQUEST['orderby'] != "" ? $_REQUEST['orderby'] : $defaultQueryArgs['orderby'];

	switch ($orderBy) {
		case 'rating':
        	$join .= "LEFT JOIN $wpdb->postmeta AS featuredTerm ON
				$wpdb->posts.ID = featuredTerm.post_id
				AND featuredTerm.meta_key = '_ait-item_item-featured'

			LEFT JOIN $wpdb->postmeta AS rating_mean ON
				$wpdb->posts.ID = rating_mean.post_id
				AND rating_mean.meta_key = 'rating_mean'";
			break;

		default:
        	$join .= "LEFT JOIN $wpdb->postmeta AS featuredTerm ON $wpdb->posts.ID = featuredTerm.post_id AND featuredTerm.meta_key = '_ait-item_item-featured'";
			break;
	}

    return $join;
}



function aitPostsOrderby($orderby_statement) {
	global $wp_query, $wpdb;

	$defaultQueryArgs = getDefaultQueryArgs();
	$orderBy = isset($_REQUEST['orderby']) && $_REQUEST['orderby'] != "" ? $_REQUEST['orderby'] : $defaultQueryArgs['orderby'];
	$order = isset($_REQUEST['order']) && $_REQUEST['order'] != "" ? $_REQUEST['order'] : $defaultQueryArgs['order'];

	// prevent other than ASC DESC values
	$orderstr = 'ASC';
	if (strtolower($order) == 'desc') {
		$orderstr = 'DESC';
	}

	switch ($orderBy) {
		case 'rating':
			$orderby_statement = "featuredTerm.meta_value DESC,	rating_mean.meta_value ".$orderstr;
			break;
		case 'title':
			$orderby_statement = "featuredTerm.meta_value DESC, $wpdb->posts.post_title ".$orderstr;
			break;
		case 'date':
			$orderby_statement = "featuredTerm.meta_value DESC, $wpdb->posts.post_date ".$orderstr;
			break;
	}

	return $orderby_statement;
}



function aitFiltersMetaQuery($definedFilters)
{
	$metaQuery = array();
	foreach ($definedFilters as $key => $value) {
		array_push($metaQuery, array(
			'key' => '_ait-item_filters-options',
			'value' => '"'.$value.'"',
			'compare' => 'LIKE',
		));
	}

	return $metaQuery;
}




 ?>