<?php

/*
 * AIT WordPress Theme Framework
 *
 * Copyright (c) 2013, Affinity Information Technology, s.r.o. (http://ait-themes.com)
 */


class AitLoginWidget extends WP_Widget
{
	protected $language;

	function __construct()
	{
		$this->language = defined('ICL_LANGUAGE_CODE') ? ICL_LANGUAGE_CODE : "en";
		$widget_ops = array('classname' => 'widget_login', 'description' => __( 'Register or login users form', 'ait-admin') );
		parent::__construct('ait-login', __('Theme &rarr; Login', 'ait-admin'), $widget_ops);
	}



	function widget($args, $instance)
	{
		extract( $args );
		$result = '';

		/* WIDGET CONTENT :: START */
		$result .= $before_widget;
		$title = '';
		if(isset($instance['title_'.$this->language])){
			$title = apply_filters('widget_title', empty($instance['title_'.$this->language]) ? '' : $instance['title_'.$this->language], $instance, $this->id_base);
		}
		$result .= $before_title.$title.$after_title;

		if( is_user_logged_in() ){
			global $wp_roles;
			$currentUser = wp_get_current_user();

			// display info
			$result .= '<div class="userlogin-container user-logged-in">';
				$result .= $instance['description_logout_'.$this->language] != '' ? '<p>'.$instance['description_logout_'.$this->language].'</p>' : '';
				$result .= '<div class="profile">';
					$result .= '<div class="profile-avatar">'.get_avatar($currentUser->ID).'</div>';
					$result .= '<div class="profile-name"><span>'.__('Username', 'ait').':</span><span>'.$currentUser->user_nicename.'</span></div>';
					if(isset($currentUser->roles[0])){
						//$result .= '<div class="profile-role"><span>'..'</span><span></span></div>';
					}

					$result .= '<a href="'.admin_url('profile.php').'" title="'.__('Account','ait').'" class="widgetlogin-button-account">'.__('Account','ait').'</a>';
					$result .= '<a href="'.wp_logout_url(get_permalink()).'" title="'.__('Logout','ait').'" class="widgetlogin-button-logout">'.__('Logout','ait').'</a>';
					$result .= '<a href="'.admin_url('edit.php?post_type=ait-item&author='.$currentUser->ID).'" title="'.__('Items','ait').'" class="widgetlogin-button-items">'.__('My Items','ait').'</a>';


				$result .= '</div>';
			$result .= '</div>';
		} else {
			$openedTab = isset($instance['opened_tab_'.$this->language]) ? $instance['opened_tab_'.$this->language] : 'opened_tab_register';
			if ($openedTab == 'opened_tab_login') {
				$openedTabRegister = '';
				$openedTabLogin = 'userlogin-option-active';
			}else{
				$openedTabRegister = 'userlogin-option-active';
				$openedTabLogin = '';
			}
			// register / login
			$result .= '<div class="userlogin-container user-not-logged-in">';
				$result .= '<div class="userlogin-tabs">';
					$result .= '<div class="userlogin-tabs-menu">';
						$result .= '<a class="'.$openedTabRegister.'" href="#">'.__('Register', 'ait').'</a>';
						$result .= '<a class="'.$openedTabLogin.'" href="#">'.__('Login', 'ait').'</a>';
					$result .= '</div>';
					$result .= '<div class="userlogin-tabs-contents">';
						$result .= '<div class="userlogin-tabs-content '.$openedTabRegister.'">';
							$result .= '<!-- REGISTER TAB -->';
							$result .= $instance['description_register_'.$this->language] != '' ? '<p>'.$instance['description_register_'.$this->language].'</p>' : '';
							$result .= '<form method="post" action="'.home_url('/').'?ait-action=register" class="wp-user-form user-register-form">';
								$result .= '<p class="input-container input-username">';
									$result .= '<label for="user_login">'.__('Username', 'ait').'</label>';
									$result .= '<input type="text" name="user_login" id="user_login" value="" size="20" tabindex="101" />';
								$result .= '</p>';
								$result .= '<p class="input-container input-email">';
									$result .= '<label for="user_email">'.__('Email', 'ait').'</label>';
									$result .= '<input type="text" name="user_email" id="user_email" value="" size="20" tabindex="102" />';
								$result .= '</p>';

								$themeOptions = aitOptions()->getOptionsByType('theme');
								$themePackages = new ThemePackages();
								$orderedPackages = $themePackages->getOrderedPackages();
								$result .= '<p class="input-container input-role">';
									$result .= '<select id="user_role" name="user_role" tabindex="103">';
										//$result .= '<option value="-1">'.__('Package', 'ait').'</option>';
										foreach ($orderedPackages as $key => $value) {
											$package = $themePackages->getPackageBySlug($value);
											$packageOptions = $package->getOptions();
											$isFree = $packageOptions['price'] == 0 ? "true" : "false";
											$result .= '<option value="'.$package->getSlug().'" data-isfree="'.$isFree.'">'.$package->getName().' ('.$packageOptions['price'].' '.$themeOptions['payments']['currency'].')</option>';
										}
									$result .= '</select>';
								$result .= '</p>';

								$themeConfig = aitConfig()->getFullConfig('theme');
								$paymentGates = $themeOptions['payments'];
								unset($paymentGates['currency']);
								$paymentGatesConfig = $themeConfig['payments']['@options'][1];
								$paymentGatesInstalled = array();
								$paymentGatesEnabled = array();

								foreach($paymentGates as $name => $value){
									if($paymentGatesConfig[$name]['controller'] == "none" || class_exists($paymentGatesConfig[$name]['controller'])){
										$paymentGatesInstalled[$name] = $value;
									}
								}

								foreach ($paymentGatesInstalled as $name => $value) {
									if((bool)$value == true){
										$paymentGatesEnabled[$name] = $value;
									}
								}

								$paymentGatesTexts = array(
									'bankTransfer' => __('Bank Transfer', 'ait'),
									'paypal' => __('Paypal', 'ait'),
									'paypalRecurring' => __('Paypal Recurring', 'ait'),
								);

								if(count($paymentGatesEnabled) > 0){
									$firstPackage = $themePackages->getPackageBySlug($orderedPackages[0]);
									$firstPackageOptions = $firstPackage->getOptions();
									if ($firstPackageOptions['price'] == 0) {
										$result .= '<p class="input-container input-payment" style="display: none;">';
									}else{
										$result .= '<p class="input-container input-payment">';
									}
										$result .= '<select id="user_payment" name="user_payment" tabindex="104">';
											//$result .= '<option value="-1">'.__('Payment Type', 'ait').'</option>';
											foreach ($paymentGatesEnabled as $name => $value) {
												$result .= '<option value="'.$name.'">'.$paymentGatesTexts[$name].'</option>';
											}
										$result .= '</select>';
									$result .= '</p>';
								}

								//required terms and conditions
								if(!empty($instance['required_conditions_'.$this->language])){
									$result .= '<p class="input-container input-required-conditions">';
									$result .= '<input type="checkbox" name="required_conditions" id="required_conditions" />';
									$result .= '<label for="required_conditions">'.$instance['required_conditions_label_'.$this->language].'</label>';
									$result .= '</p>';
								}

								$result .= '<div class="login-fields">';
									do_action('register_form');
									$result .= '<input type="submit" name="user-submit" value="'.__('Sign up!', 'ait').'" class="user-submit" tabindex="103" />';
									$result .= '<input type="hidden" name="redirect_to" value="'.home_url().'" />';
									$result .= '<input type="hidden" name="user-cookie" value="1" />';
								$result .= '</div>';

								$result .= '<div class="login-messages">';
									$result .= '<div class="login-message-error" style="display: none">'.__('Please fill out all registration fields','ait').'</div>';
								$result .= '</div>';

							$result .= '</form>';
						$result .= '</div>';
						$result .= '<div class="userlogin-tabs-content '.$openedTabLogin.'">';
							$result .= '<!-- LOGIN TAB -->';
							$result .= $instance['description_login_'.$this->language] != '' ? '<p>'.$instance['description_login_'.$this->language].'</p>' : '';
							$result .= wp_login_form( array( 'form_id' => 'ait-login-form-widget', 'echo' => false, 'remember' => false,) );
						$result .= '</div>';
					$result .= '</div>';
				$result .= '</div>';
				$result .= '<script type="text/javascript">';
				$result .= 'jQuery(document).ready(function(){';
					$result .= 'jQuery(".userlogin-tabs-contents input[type=text], .userlogin-tabs-contents input[type=password]").each(function(){';
						$result .= 'var $label = jQuery(this).parent().find("label");';
						$result .= 'var placeholder = $label.html();';
						$result .= 'jQuery(this).attr("placeholder", placeholder);';
						$result .= '$label.hide();';
					$result .= '});';

					$result .= 'var $tabs = jQuery(".userlogin-container .userlogin-tabs-menu a");';
					$result .= 'var $contents = jQuery(".userlogin-container .userlogin-tabs-contents");';
					$result .= 'var activeClass = "userlogin-option-active";';
					$result .= '$tabs.each(function(){';
						$result .= 'jQuery(this).click(function(e){';
							$result .= 'e.preventDefault();';
							$result .= '$tabs.each(function(){';
								$result .= 'jQuery(this).removeClass(activeClass);';
							$result .= '});';
							$result .= '$contents.find(".userlogin-tabs-content").each(function(){';
								$result .= 'jQuery(this).removeClass(activeClass);';
							$result .= '});';
							$result .= 'jQuery(this).addClass(activeClass);';
							$result .= '$contents.find(".userlogin-tabs-content:eq("+jQuery(this).index()+")").addClass(activeClass);';
						$result .=	'});';
					$result .=	'});';

					$result .= 'jQuery("form.user-register-form select[name=user_role]").change(function(){';
						$result .= 'var $payments = jQuery("form.user-register-form select[name=user_payment]");';
						$result .= 'var $selected = jQuery(this).find("option:selected");';
						$result .= 'var isFree = $selected.data("isfree");';
						$result .= 'if(isFree){';
							// disable payment gates input
							$result .= '$payments.attr("disabled", "disabled");';
							$result .= '$payments.parent().hide();';
						$result .= '} else {';
							// enable payment gates input
							$result .= '$payments.removeAttr("disabled");';
							$result .= '$payments.parent().show();';
						$result .= '}';
					$result .= '});';

					$result .= 'jQuery("form.user-register-form").on("submit", function(){';
						$result .= 'var $inputs = jQuery(this).find("input[type=text]");';
						$result .= 'var $selects = jQuery(this).find("select:not(:disabled)");';
						$result .= 'var $checkboxes = jQuery(this).find("input[type=checkbox]");';
						$result .= 'var valid = false;';
						$result .= 'var all = parseInt($selects.length + $inputs.length + $checkboxes.length);';
						$result .= 'var validation = 0;';
						$result .= '$selects.each(function(){';
							$result .= 'if(jQuery(this).val() != "-1"){';
								$result .= 'validation = validation + 1;';
							$result .= '}';
						$result .= '});';
						$result .= '$inputs.each(function(){';
							$result .= 'if(jQuery(this).val() != ""){';
								$result .= 'if(jQuery(this).attr("name") == "user_email"){';
									$result .= 'validation = validation + 1;';
								$result .= '} else {';
									$result .= 'validation = validation + 1;';
								$result .= '}';
							$result .= '}';
						$result .= '});';
						$result .= '$checkboxes.each(function(){';
							$result .= 'if(jQuery(this).prop("checked")){';
									$result .= 'validation = validation + 1;';
							$result .= '}';
						$result .= '});';
						$result .= 'if(validation == all){';
							$result .= 'valid = true;';
						$result .= '}';
						$result .= 'if(!valid){';
							$result .= 'jQuery(this).find(".login-message-error").fadeIn("slow"); jQuery(this).find(".login-message-error").on("hover", function(){ jQuery(this).fadeOut("fast"); });';
							$result .= 'return false;';
						$result .= '}';
					$result .= '});';
				$result .=	'});';
				$result .= '</script>';
			$result .= '</div>';
		}

		$result .= $after_widget;
		/* WIDGET CONTENT :: END */
		echo($result);
	}



	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['title_'.$this->language] = strip_tags($new_instance['title_'.$this->language]);
		$instance['description_login_'.$this->language] = $new_instance['description_login_'.$this->language];
		$instance['description_logout_'.$this->language] = $new_instance['description_logout_'.$this->language];
		$instance['description_register_'.$this->language] = $new_instance['description_register_'.$this->language];
		$instance['required_conditions_'.$this->language] = $new_instance['required_conditions_'.$this->language];
		$instance['required_conditions_label_'.$this->language] = $new_instance['required_conditions_label_'.$this->language];
		$instance['opened_tab_'.$this->language] = $new_instance['opened_tab_'.$this->language];

		return $instance;
	}



	function form($instance)
	{
		$instance = wp_parse_args( (array) $instance, array(
            'title_'.$this->language => '',
            'description_login_'.$this->language => '',
            'description_logout_'.$this->language => '',
            'description_register_'.$this->language => '',
            'required_conditions_'.$this->language => false,
            'required_conditions_label_'.$this->language => '',
            'opened_tab_'.$this->language => 'opened_tab_register',
        ) );
    ?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title_'.$this->language ); ?>"><?php echo __( 'Title', 'ait-admin' ); ?>:</label>
			<input type="text" id="<?php echo $this->get_field_id( 'title_'.$this->language ); ?>" name="<?php echo $this->get_field_name( 'title_'.$this->language ); ?>" value="<?php echo $instance['title_'.$this->language]; ?>"class="widefat" style="width:100%;" />
        </p>
        <p>
			<label for="<?php echo $this->get_field_id( 'opened_tab_'.$this->language ); ?>"><?php echo __( 'Opened Tab', 'ait-admin' ); ?>:</label>
			<select id="<?php echo $this->get_field_id( 'opened_tab_'.$this->language ); ?>" name="<?php echo $this->get_field_name( 'opened_tab_'.$this->language ); ?>">
				<option <?php if ( 'opened_tab_register' == $instance['opened_tab_'.$this->language] ) echo 'selected="selected"'; ?> value="opened_tab_register">Register</option>
				<option <?php if ( 'opened_tab_login' == $instance['opened_tab_'.$this->language] ) echo 'selected="selected"'; ?> value="opened_tab_login">Login</option>
			</select>
		</p>
		<p>
        	<label for="<?php echo $this->get_field_id( 'description_login_'.$this->language ); ?>"><?php echo __( 'Login Description', 'ait-admin' ); ?>:</label>
			<textarea class="widefat" rows="5" cols="20" id="<?php echo $this->get_field_id( 'description_login_'.$this->language ); ?>" name="<?php echo $this->get_field_name( 'description_login_'.$this->language ); ?>"><?php echo htmlspecialchars($instance['description_login_'.$this->language]); ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'description_logout_'.$this->language ); ?>"><?php echo __( 'Logout Description', 'ait-admin' ); ?>:</label>
			<textarea class="widefat" rows="5" cols="20" id="<?php echo $this->get_field_id( 'description_logout_'.$this->language ); ?>" name="<?php echo $this->get_field_name( 'description_logout_'.$this->language ); ?>"><?php echo htmlspecialchars($instance['description_logout_'.$this->language]); ?></textarea>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'description_register_'.$this->language ); ?>"><?php echo __( 'Register Description', 'ait-admin' ); ?>:</label>
			<textarea class="widefat" rows="5" cols="20" id="<?php echo $this->get_field_id( 'description_register_'.$this->language ); ?>" name="<?php echo $this->get_field_name( 'description_register_'.$this->language ); ?>"><?php echo htmlspecialchars($instance['description_register_'.$this->language]); ?></textarea>
		</p>
		<p>
			<?php $checked = ''; if ( $instance['required_conditions_'.$this->language] ) $checked = 'checked="checked"'; ?>
			<input type="checkbox" <?php echo $checked; ?> id="<?php echo $this->get_field_id( 'required_conditions_'.$this->language ); ?>" name="<?php echo $this->get_field_name( 'required_conditions_'.$this->language ); ?>" class="checkbox" />
			<label for="<?php echo $this->get_field_id( 'required_conditions_'.$this->language ); ?>"><?php echo __( 'Terms and Conditions acceptation required ', 'ait-admin' ); ?></label>
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'required_conditions_label_'.$this->language ); ?>"><?php echo __( 'Terms and Conditions label', 'ait-admin' ); ?>:</label>
			<input type="text" id="<?php echo $this->get_field_id( 'required_conditions_label_'.$this->language ); ?>" name="<?php echo $this->get_field_name( 'required_conditions_label_'.$this->language ); ?>" value="<?php echo htmlspecialchars($instance['required_conditions_label_'.$this->language]); ?>"class="widefat" style="width:100%;" />
		</p>

<?php
	}

}
